## ros-eloquent-teleop-twist-joy 2.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(teleop_twist_joy)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)

find_package(geometry_msgs REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(sensor_msgs REQUIRED)

include_directories(include)

add_library(${PROJECT_NAME} SHARED src/${PROJECT_NAME})

include(GenerateExportHeader)
generate_export_header(${PROJECT_NAME} EXPORT_FILE_NAME ${PROJECT_NAME}/${PROJECT_NAME}_export.h)
target_include_directories(${PROJECT_NAME} PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>")
set_target_properties(${PROJECT_NAME} PROPERTIES EXPORT_HEADER_DIR "${CMAKE_CURRENT_BINARY_DIR}")

ament_target_dependencies(${PROJECT_NAME}
  "geometry_msgs"
  "rclcpp"
  "rclcpp_components"
  "sensor_msgs"
)

rclcpp_components_register_nodes(${PROJECT_NAME}
  "teleop_twist_joy::TeleopTwistJoy")

add_executable(${PROJECT_NAME}_node src/teleop_node.cpp)
target_link_libraries(${PROJECT_NAME}_node ${PROJECT_NAME})
set_target_properties(${PROJECT_NAME}_node
  PROPERTIES OUTPUT_NAME teleop_node PREFIX "")

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin)

install(TARGETS ${PROJECT_NAME}_node
  DESTINATION lib/${PROJECT_NAME})

install(DIRECTORY include/
  DESTINATION include)

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}/${PROJECT_NAME}_export.h
  DESTINATION include/${PROJECT_NAME})

install(DIRECTORY launch config
  DESTINATION share/${PROJECT_NAME})

if(BUILD_TESTING)
  # Disable some broken tests for now
  set(ament_cmake_copyright_FOUND TRUE)
  set(ament_cmake_cpplint_FOUND TRUE)
  set(ament_cmake_uncrustify_FOUND TRUE)

  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  set(_teleop_twist_joy_launch_tests
    # Check axes and scaling.
    test/differential_joy_launch_test.py
    test/holonomic_joy_launch_test.py
    test/six_dof_joy_launch_test.py

    # Check enable and turbo button logic.
    test/no_enable_joy_launch_test.py
    test/turbo_enable_joy_launch_test.py
    test/only_turbo_joy_launch_test.py
    test/turbo_angular_enable_joy_launch_test.py
  )

  find_package(launch_testing_ament_cmake REQUIRED)
  foreach(_test_path ${_teleop_twist_joy_launch_tests})
    add_launch_test(${_test_path}
      APPEND_ENV PYTHONPATH=${CMAKE_CURRENT_SOURCE_DIR}/test
      TIMEOUT 10
    )
  endforeach()
endif()

ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})
ament_package()

=== debian/changelog ===
ros-eloquent-teleop-twist-joy (2.3.0-1bionic) bionic; urgency=high

  * Make Parameters dynamic (#16 <https://github.com/ros2/teleop_twist_joy/issues/16>)
  * Contributors: aravindsrj

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 05 Aug 2020 00:00:00 -0000

ros-eloquent-teleop-twist-joy (2.2.2-1bionic) bionic; urgency=high

  * Export interfaces for Shared Lib on Windows.
  * Make teleop_twist_joy composable.
  * Reenable cppcheck.
  * Rename teleop_twist_joy.h to teleop_twist_joy.hpp
  * Get some basic tests running (#10 <https://github.com/ros2/teleop_twist_joy/issues/10>)
  * Port config and launch to ROS 2 (#11 <https://github.com/ros2/teleop_twist_joy/issues/11>)
  * Contributors: Chris Lalancette, Scott K Logan, seanyen

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-eloquent-teleop-twist-joy (2.2.0-1bionic) bionic; urgency=high

  * Fix parameters so things actually work in Dashing. (#9 <https://github.com/ros2/teleop_twist_joy/issues/9>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 31 May 2019 00:00:00 -0000

ros-eloquent-teleop-twist-joy (2.1.1-1bionic) bionic; urgency=high

  * Add in the ability to control via parameters (#8 <https://github.com/ros2/teleop_twist_joy/issues/8>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 08 Feb 2019 00:00:00 -0000

ros-eloquent-teleop-twist-joy (2.1.0-1bionic) bionic; urgency=high

  * ParameterService auto started (#7 <https://github.com/ros2/teleop_twist_joy/issues/7>)
  * Contributors: Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 26 Jun 2018 00:00:00 -0000

ros-eloquent-teleop-twist-joy (2.0.0-1bionic) bionic; urgency=high

  * Initial port to ROS2
  * Contributors: Chris Lalancette, Mikael Arguedas, Deanna Hood

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 08 Dec 2017 00:00:00 -0000

ros-eloquent-teleop-twist-joy (0.1.2-1bionic) bionic; urgency=high

  * Fixed incorrect key. (#21 <https://github.com/ros-teleop/teleop_twist_joy/issues/21>)
  * Allow custom config file from location outside of this package
  * Setting scale_angular_turbo if axis_angular is set so that turning works when turbo is pressed.
  * Added turbo scale for angular velocities and accompanying test.
  * Add LICENSE.txt.
  * Contributors: Daniel Aden, Isaac I.Y. Saito, Mike Purvis, Tony Baltovski

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 31 Aug 2016 00:00:00 -0000

ros-eloquent-teleop-twist-joy (0.1.1-1bionic) bionic; urgency=high

  * Add rostests.
  * Added maps to allow multi-dof velocity publishing.
  * Added Xbox 360 controller example.
  * Contributors: Mike Purvis, Tony Baltovski

 -- Chris Lalancette <clalancette@openrobotics.org>  Sat, 27 Jun 2015 00:00:00 -0000

ros-eloquent-teleop-twist-joy (0.1.0-1bionic) bionic; urgency=high

  * Added configurations for Logitech Attack3 and Extreme 3D Pro joysticks.
  * Initial version, with example config for PS3 joystick.
  * Contributors: Mike Purvis, Tony Baltovski

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 25 Jul 2014 00:00:00 -0000

=== debian/control ===
Source: ros-eloquent-teleop-twist-joy
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-geometry-msgs, ros-eloquent-launch-ros, ros-eloquent-launch-testing-ament-cmake, ros-eloquent-launch-testing-ros, ros-eloquent-rclcpp, ros-eloquent-rclcpp-components, ros-eloquent-sensor-msgs, ros-eloquent-ros-workspace
Homepage: http://wiki.ros.org/teleop_twist_joy
Standards-Version: 3.9.2

Package: ros-eloquent-teleop-twist-joy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-geometry-msgs, ros-eloquent-joy, ros-eloquent-rclcpp, ros-eloquent-rclcpp-components, ros-eloquent-sensor-msgs, ros-eloquent-ros-workspace
Description: Generic joystick teleop for twist robots.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-teleop-twist-joy//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
